# Lab 04 - Dynamic Routing
> ***Objectives:***  
> - Replicate Internet configuration by setting up a chain of 3 routers
>   - `EE`: Enterprise switch (the switch of the company or home)
>   - `ISP`: The router of the internet service provider
>   - `NET`: The router of the provider of a website
>   - `SERVER` the web server providing the website
> - Set IP address of server and routers
> - Enable OSPF protocol on all routers
> - Try to ping the webserver from the `EE` router

The lab is realized in `./Networks/Lab 04.ptk` in tag `lab-4`

## Router Configuration
Router `EE`:
```sh
enable
configure terminal
hostname EE

interface fastEthernet0/1
ip address 1.0.0.1 255.0.0.0
no shutdown

interface fastEthernet0/0
ip address 10.123.0.3 255.255.0.0
no shutdown

router ospf 1337
network 1.0.0.0 0.255.255.255 area 0

exit
exit
disable
exit
```

Router `ISP`:
```sh
enable
configure terminal
hostname ISP

interface fastEthernet0/0
ip address 1.0.0.2 255.0.0.0
no shutdown

interface fastEthernet0/1
ip address 2.0.0.1 255.0.0.0
no shutdown

router ospf 1337
network 1.0.0.0 0.255.255.255 area 0
network 2.0.0.0 0.255.255.255 area 0

exit
exit
disable
exit
```

Router `NET`:
```sh
enable
configure terminal
hostname NET

interface fastEthernet0/0
ip address 2.0.0.2 255.0.0.0
no shutdown

interface fastEthernet0/1
ip address 3.0.0.1 255.0.0.0
no shutdown

router ospf 1337
network 2.0.0.0 0.255.255.255 area 0
network 3.0.0.0 0.255.255.255 area 0

exit
exit
disable
exit
```

## Test Change
On Router `EE`:
```sh
enable
ping 3.3.3.3
disable
exit
```
